Bug 695588

Summary: Bluetooth is always disabled
Product: [Fedora] Fedora Reporter: Larry Bolan <ratdude747>
Component: gnome-bluetoothAssignee: Bastien Nocera <bnocera>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 15CC: amcnabb, belegdol, bnocera, extras-orphan, fcrulesf, jspaleta, lists, matthias.rambausek, maurizio.antillon, monraaf, notting, oded, rgs, theholyettlz, throt, tiagomatos
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=702153
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-18 17:56:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Screenshot of bluetooth settings none

Description Larry Bolan 2011-04-12 02:04:16 EDT
Created attachment 491408 [details]
Screenshot of bluetooth settings

Description of problem:
upon logging in, bluetooth is shown as disabled, yet the bluetooth service is shown as running.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. log in
2. open bluetooth settings and see that it is disabled.
  
Actual results:
Bluetooth is always disabled

Expected results:
Bluetooth is enabled upon logging in.

Additional info: 


[root@larry-laptop1 larry]# systemctl status bluetooth.service
bluetooth.service - Bluetooth Manager
	  Loaded: loaded (/lib/systemd/system/bluetooth.service)
	  Active: active (running) since Tue, 12 Apr 2011 01:35:57 -0400; 22min ago
	Main PID: 712 (bluetoothd)
	  CGroup: name=systemd:/system/bluetooth.service
		  └ 712 /usr/sbin/bluetoothd -n
Comment 1 Larry Bolan 2011-04-13 00:26:53 EDT
a random install of gnome-tweak-tool and libre office without updates (none to install) seems to have magically made bluetooth 100% functional.

weird.
Comment 2 Larry Bolan 2011-04-13 20:51:00 EDT
It has done the same thing again.

I noticed a coincidence- whenever the bluetooth (and other) icons show up as invisible until you hover over it, the bug occurs. when they always are visible, Bluetooth works fine.
Comment 3 Larry Bolan 2011-04-13 22:33:02 EDT
odd... icons are still invisible but after a sleep and wakeup, bluetooth is live again.

sounds like a possible start-up issue...
Comment 4 Christian Kujau 2011-04-18 17:41:20 EDT
F15, the bluetooth icon in the top bar (systray?) says it's enabled, but when I click on it to open the "Bluetooth Settings" it says "Bluetooth is disabled". At the same time, I get this in the logs:

-----------------------------------
Apr 18 14:25:56 mallory dbus: [system] Activating via systemd service name='org.bluez' unit='dbus-org.bluez.service'

Apr 18 14:25:56 mallory dbus: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
-----------------------------------

# systemctl status bluetooth.service dbus-org.bluez.service
bluetooth.service - Bluetooth Manager
          Loaded: loaded (/lib/systemd/system/bluetooth.service)
          Active: inactive (dead)
          CGroup: name=systemd:/system/bluetooth.service

dbus-org.bluez.service
          Loaded: error
          Active: inactive (dead)
-----------------------------------


I can restart bluetooth.service and it will say "active (running)" then, but enabling dbus-org.bluez.service still fails:

# systemctl restart dbus-org.bluez.service
Failed to issue method call: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.

And with that, Bluetooth just does not work.
Smolt profile: pub_6d9135bd-4735-430d-82f1-94d32e355fba
Comment 5 matthias.rambausek 2011-04-19 09:51:29 EDT
Hi,

I have the same problem with an usb bluetooth adapter. When I plug in the device, the bluetooth applet tells me, that bluetooth is on, but it dos not work and the control-center tells me, it is off.
Furthermore it is not possible to change the visibilty status from the bluetotth-applet's button


# systemctl restart dbus-org.bluez.service
Failed to issue method call: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details

------------------------------------
# systemctl restart bluetooth.service
------------------------------------

outout from # systemctl status bluetooth.service dbus-org.bluez.service

bluetooth.service - Bluetooth Manager
	  Loaded: loaded (/lib/systemd/system/bluetooth.service)
	  Active: active (running) since Tue, 19 Apr 2011 15:46:22 +0200; 24s ago
	Main PID: 2591 (bluetoothd)
	  CGroup: name=systemd:/system/bluetooth.service
		  └ 2591 /usr/sbin/bluetoothd -n

dbus-org.bluez.service
	  Loaded: error
	  Active: inactive (dead)
Comment 6 Andrew McNabb 2011-04-19 15:45:03 EDT
I'm seeing this problem, too, in Fedora 15 Beta.
Comment 7 Rafael Monica 2011-04-20 08:38:14 EDT
Same problem here. Might be related to changes in bluetooth kernel interface.

https://lkml.org/lkml/2011/3/19/80
Comment 8 Jef Spaleta 2011-04-22 14:50:30 EDT
Hey! Same problem here.

Interesting note.  If I start bluetoothd manually on the commandline
and then run:
hcitool scan
hcitool correctly picks up that my bluetooth mouse is available for pairing

So the underlying bluetooth infrastructure is working on my system. 

Please let me know if I can provide any additional information to help figure out what the problem is with the gnome UI.

-jef
Comment 9 Oded Arbel 2011-04-22 18:41:09 EDT
I have the same problem in Fedora 15 with KDE desktop - bluedevil says that no adapter is found on the system until I do 'systemctl enable bluetooth.service' and 'systemctl start bluetooth.service'.
Comment 10 Andrew McNabb 2011-04-23 23:00:05 EDT
Oded, I think that you have a separate issue.  According to the original bug report here, the bluetooth service is shown as running.  You may wish to open a separate report.
Comment 11 throt 2011-05-02 14:30:29 EDT
Same problem with fc15.x86_64
Comment 12 Rui Matos 2011-05-03 18:18:10 EDT
I had bluetooth.service disabled since I installed F15 around April 11. Had to run 'systemctl enable bluetooth.service' to make it work.

Maybe there was problem around that time and the installation process didn't enable this service by default?
Comment 13 Jef Spaleta 2011-05-03 22:14:22 EDT
Recent updates have fixed this for me on the one laptop that was experiencing the problem. As of now I have two F15Beta+updates laptops installed both with working bluetooth support.  I don't know which update fixed it...but as of today it appears to work. Paired with my Bluetooth mouse without a hitch today.

-jef
Comment 14 FC_rules 2011-05-15 08:06:20 EDT
I have problems with bluetooth too. 
But I am on Fedora 14. 
After a suspend or a long time of inactivity the Bluetooth turns off, although the icon show it's on. I have to start it from services (in there I can see it's enabled, but I have to click on start) and then it works. This problem appeared in FC14, before in FC13 it was working fine.
Comment 15 Julian Sikorski 2011-05-16 16:03:25 EDT
Same here, I guess. This appears in /var/log/messages when I open bluetooth settings:

May 16 22:01:46 snowball2 dbus: [system] Activating via systemd: service name='org.bluez' unit='dbus-org.bluez.service'
May 16 22:01:46 snowball2 dbus: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
May 16 22:01:46 snowball2 dbus: [system] Activating via systemd: service name='org.bluez' unit='dbus-org.bluez.service'
May 16 22:01:46 snowball2 dbus: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.

systemctl shows the following:
$ sudo systemctl status dbus-org.bluez.service
[sudo] password for julas: 
dbus-org.bluez.service
	  Loaded: error
	  Active: inactive (dead)
Comment 16 Bastien Nocera 2011-05-18 17:56:24 EDT
The problem is that bluez wasn't getting enabled under systemd, even when it was under upstart. If you upgraded from F14 already (and that's why you would have the problem), simply run:
/bin/systemctl enable bluetooth.service
as root. And that should fix the problem permanently.

If you want to avoid rebooting for now, unplug/replug the Bluetooth adapter, or run:
/bin/systemctl start bluetooth.service

Now listed in the common bugs:
https://fedoraproject.org/wiki/Common_F15_bugs#Bluetooth_not_working_after_upgrade_to_F15_Beta

*** This bug has been marked as a duplicate of bug 694519 ***
Comment 17 Maurizio 2012-12-22 20:40:53 EST
http  pages been impersonated